K2Poker = require("../lib/k2poker.js").K2Poker;
const assert = require('chai').assert;
const expect = require('chai').expect;

require("./lib/deck_test.js");
require("./lib/game_play_test.js");
require("./lib/player_test.js");

describe("K2Poker", function(){

  let player_1 = {"id": 111};
  let player_2 = {"id": 222};
  let game = new K2Poker({player_1: player_1, player_2: player_2});

  it("is a helper function that should load the game", function(){
    expect(game.game_status).to.equal("start");
  });

  it("it should reload and play a game with given opts", function(){
    json = game.deal().flop().to_json();
    continued_game = new K2Poker(json);
    expect(continued_game.game_status).to.equal("flop")
  });

});


// NOTE, run the test suite with
// > mocha
