const assert = require('chai').assert;
const expect = require('chai').expect;
const Player = require("../../lib/k2poker/player.js").Player;

describe('Player', function() {

  describe("#initialize", function () {
    let player = new Player({"id": 123, "cards": ["As","Ad"], "status": "discarded"});

    it("should have an id", function() {
      assert.equal(player.id, 123);
    });

    it("should have a cards array", function() {
      assert.equal(player.cards[0], "As");
      assert.equal(player.cards[1], "Ad");
    });

    it("should have a status", function() {
      assert.equal(player.status, "discarded");
    });

  });

});
