var Hand = require("pokersolver").Hand;

var bob = ['Ad', 'As', 'Jc', 'Th', '2d', '3c', 'Kd'];
var fred = ['Ad', 'As', 'Jc', 'Th', '2d', 'Qs', 'Qd'];

var hand1 = Hand.solve(bob);
var hand2 = Hand.solve(fred);
var winner = Hand.winners([hand1, hand2]);

console.log(hand2.cards);
//note winner can be an array of winners
if(winner[0] == hand1) {
  console.log("bob won with: " + winner);
} else if(winner[0] == hand2) {
  console.log("fred won with: " + winner);
}

console.log("hand 1: " + hand1.name);
console.log("hand 1: " + hand1.descr);

console.log("hand 2: " + hand2.name);
console.log("hand 2: " + hand2.descr);
